IRPCServerAdmin.SetServerEndpointSettings

View as Markdown

Administration API / specialized admin session

Changes the TLS setting and the certificate of the server's gRPC endpoint and restarts the endpoint.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/SetServerEndpointSettings
HTTP (mf-http-grpc)POST /grpc/v1/set-server-endpoint-settings
RequestSetServerEndpointSettingsRequest
ResponseSetServerEndpointSettingsResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: SetServerEndpointSettingsRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
valueSetServerEndpointSettingsParamsThe new settings: use_tls, certificates to add or change, and IDs of certificates to remove. See SetServerEndpointSettingsParams.
value.use_tlsboolTrue to enable TLS.
value.modify_or_add_certificates[]repeated ServerCertificateChangeRequestServer certificates to modify or add.
value.modify_or_add_certificates[].idint32Endpoint ID to modify. -1 to create new endpoint.
value.modify_or_add_certificates[].certificate_actionChangeActionAction to perform for the certificate.Values: CHANGE_ACTION_UNINITIALIZED (0), CHANGE_ACTION_KEEP (1), CHANGE_ACTION_CHANGE (2), CHANGE_ACTION_REMOVE (3).
value.modify_or_add_certificates[].certificatestringCertificate to set, if the action is replace.
value.modify_or_add_certificates[].private_key_actionChangeActionAction to perform for the private key.Values: CHANGE_ACTION_UNINITIALIZED (0), CHANGE_ACTION_KEEP (1), CHANGE_ACTION_CHANGE (2), CHANGE_ACTION_REMOVE (3).
value.modify_or_add_certificates[].private_keystringPrivate key to set, if the action is replace.
value.remove_certificates[]repeated uint32Certificates to remove.

Response: SetServerEndpointSettingsResponse

No fields.